import React, { useState, useEffect } from "react";
import { makeStyles } from "@material-ui/core/styles";
import {
  Container,
  Grid,
  Paper,
  Card,
  Typography,
  Fab,
} from "@material-ui/core";

import ButtonCheckIn from "./ButtonCheckIn";

const HomeView = (props) => {
  const { user, onCheckIn } = props;

  const [status, setStatus] = useState(0);

  return (
    <Container fixed style={{ height: "100vh" }}>
      <div style={{ marginTop: 50 }} />
      <div style={{ textAlign: "center", fontSize: "35px" }}>
        <Typography variant={"h4"} style={{ color: " #3399ff" }}>
          Chào mừng {user ? user.name : ""}
        </Typography>
      </div>
      <br />
      <Grid container style={{ height: "100vh", justifyContent: "center" }}>
        <Fab
          color="secondary"
          aria-label="edit"
          style={{ width: "30vw", height: "30vw" }}
          onClick={onCheckIn}
        >
          <span style={{ fontSize: "3vw" }}>
            {status == 0 ? "Checkin" : "Checkout"}
          </span>
        </Fab>
      </Grid>
    </Container>
  );
};

export default HomeView;
